<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.eclipse.sphinx.releng</groupId>
		<artifactId>org.eclipse.sphinx.releng.parent</artifactId>
		<version>0.13.1-SNAPSHOT</version>
		<relativePath>../../releng/org.eclipse.sphinx.releng.builds/parent/pom.xml</relativePath>
	</parent>
	<groupId>org.eclipse.sphinx.plugins</groupId>
	<artifactId>org.eclipse.sphinx.pde</artifactId>
	<version>0.13.1-SNAPSHOT</version>
	<packaging>eclipse-plugin</packaging>
	<build>
		<plugins>
			<plugin>
				<artifactId>maven-clean-plugin</artifactId>
				<version>2.5</version>
				<configuration>
					<filesets>
						<fileset>
							<directory>xtend-gen</directory>
							<followSymlinks>false</followSymlinks>
						</fileset>
					</filesets>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.eclipse.xtend</groupId>
				<artifactId>xtend-maven-plugin</artifactId>
				<version>${xtend.maven.plugin.version}</version>
				<executions>
					<execution>
						<goals>
							<goal>compile</goal>
						</goals>
						<configuration>
							<outputDirectory>${basedir}/xtend-gen</outputDirectory>
							<argLine>-Xms512m -Xmx1024m -XX:MaxPermSize=512m</argLine>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
